Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl_file_dir_utils.h File Reference

The file oscl_file_dir_utils.h defines some unix-style directory ops. More...

`#include "osclconfig_io.h"`
`#include "oscl_base.h"`

Go to the source code of this file.

## Data Structures
struct | oscl_fsstat
struct | oscl_stat_buf
## Typedefs
typedef oscl_fsstat | OSCL_FSSTAT
typedef oscl_stat_buf | OSCL_STAT_BUF
## Enumerations
enum | OSCL_FILEMGMT_PERMS { OSCL_FILEMGMT_PERMS_READ = 0x1, OSCL_FILEMGMT_PERMS_WRITE = 0x2, OSCL_FILEMGMT_PERMS_EXECUTE = 0x4 }
enum | OSCL_FILEMGMT_MODES { OSCL_FILEMGMT_MODE_DIR = 0x1 }
enum | OSCL_FILEMGMT_ERR_TYPE { OSCL_FILEMGMT_E_OK = 0, OSCL_FILEMGMT_E_PATH_TOO_LONG, OSCL_FILEMGMT_E_PATH_NOT_FOUND, OSCL_FILEMGMT_E_ALREADY_EXISTS, OSCL_FILEMGMT_E_NOT_EMPTY, OSCL_FILEMGMT_E_PERMISSION_DENIED, OSCL_FILEMGMT_E_NO_MATCH, OSCL_FILEMGMT_E_UNKNOWN, OSCL_FILEMGMT_E_SYS_SPECIFIC, OSCL_FILEMGMT_E_NOT_IMPLEMENTED }
## Functions
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_getcwd (oscl_wchar *path, uint32 size)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_getcwd (char *path, uint32 size)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_stat (const oscl_wchar *path, OSCL_STAT_BUF *statbuf)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_stat (const char *path, OSCL_STAT_BUF *statbuf)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_mkdir (const oscl_wchar *path)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_mkdir (const char *path)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_rmdir (const oscl_wchar *path)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_rmdir (const char *path)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_chdir (const oscl_wchar *path)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_chdir (const char *path)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_rename (const oscl_wchar *oldpath, const oscl_wchar *newpath)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_rename (const char *oldpath, const char *newpath)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_statfs (OSCL_FSSTAT *stats, const char *path)
OSCL_IMPORT_REF OSCL_FILEMGMT_ERR_TYPE | oscl_statfs (OSCL_FSSTAT *stats, const oscl_wchar *path)

## Detailed Description

The file oscl_file_dir_utils.h defines some unix-style directory ops.